Subject: Re: [RFH] Questions for Git User's Survey 2009

From: Jakub Narebski <[email-masked]>
Date: Wed, 10 Jun 2009 21:49:02 +0200

On Wed, 10 June 2009, Peter Baumann wrote:
> On Wed, Jun 10, 2009 at 08:42:13PM +0200, Jakub Narebski wrote:

> > ------------------------------------------------------------------
> > Git User's Survey 2009: proposed questions
> 
> [ ... leaving out some questions ... ]
> 
> > 11.*Which porcelains / interfaces / implementations do you use?
> >     (multiple choice: git (core), JGit, Cogito, pg, StGIT, Guilt,
> >     Easy Git, Pyrite, TopGit, other - please specify)
> > 12. Which of the following git tools do you use?
> >     (multiple choice: JGit (EGit etc.), Cogito, pg, StGIT, Guilt,
> >     TopGit, Easy Git, editor/IDE VC integration, gitk, git-gui,
> >     QGit, GitView, Giggle, tig, git-sh, instaweb, git-cola / ugit,
> >     GitNub, GitX, GitTortoise, Git Extensions, git-cheetah, Gitosis,
> >     graphical diff tool, graphical merge tool, other - please specify)
> 
> Those two seems a little redundant. Could we combine those into
> 
>   11.Which porcelains / interfaces / implementations / tools do you use?
>      ...

Good idea.  It is hard to distinguish sometimes: JGit is Java 
implementation, developed alongside EGit Eclipse plugin;  Grit is
Ruby library, but also partial implementation, etc.

We would probably have place then for one free-form question:

11'.What tool would you like to have Git support in?
    (this includes language bindings / reimplementations)

> > 16. Which of the following features do (or did) you use?
> >     (multiple choice: non-default hooks, working with dirty tree,
> >     bisect, submodules (subprojects), integration with IDE/editor,
> >     multiple worktrees (git-new-worktree), gitattributes, stash,
> >     separate worktree / git.worktree, patch managemten interface
> >     (e.g. StGIT), alternates mechanism (sharing object database),
>                  ^ 
>                  | - TopGit, Quilt

Well, this was 'for example' (e.g.); also TopGit hails as topic branch
management and not as simply patch management.  You also probably meant
Guilt (formerly gq, Git Queues), not Quilt.

> > The trouble with "What editor, IDE or RAD you use working with Git?"
> > question is coming up with a good list of editors... and that such
> > list is of necessity fairly long.  Perhaps it would be better to
> > change it to more generic question
> >  10.*What kind of editor, IDE or RAD you use working with Git?
> >     (multiple choice: simple text editor[1], programmers editor[2],
> >     IDE or RAD[3], WYSIWYG tool[4], other kind - please specify)
> >     [1] for example pico, nano, joe, Notepad
> >     [2] for example Vim, Emacs, TextMate (syntax highlighting,
> >         autoindentation, integration with other tools, etc.)
> >     [3] for example KDevelop, Anjuta, MS Visual Studio, but also
> >         Quanta+, BlueFish or Screem for editing HTML, and Kile
> >         or LyX for LaTeX.
> >     [4] text processors such as MS Office or OpenOffice.org,
> >         but also tools such as Adobe Acrobat (for PDF) or GIMP
> >         (for images)
> > (if we are not to remove this question entirely).
> 
> If you leave the question, you might want to add Eclipse at the appropriate
> place.

Eclipse as example of IDE / RAD?  Yes, of course.

-- 
Jakub Narebski
Poland